# Copyright (C) 2024 Manuel Bustillo

require 'swagger_helper'

RSpec.describe 'users/confirmations', type: :request do

  path '/users/confirmation' do
    get('confirm user email') do
      tags 'Users'
      produces 'application/json'

      parameter name: :confirmation_token, in: :query, type: :string, required: true

      response(200, 'confirmed') do
        schema Swagger::Schema::USER
        xit
      end

      response_422
    end
  end
end
